# Class ServerAuthenticationProvider.ServerObjs

java.lang.Object
org.apache.zookeeper.server.auth.ServerAuthenticationProvider.ServerObjs

Enclosing class:
  `ServerAuthenticationProvider`

public static class ServerAuthenticationProvider.ServerObjs extends Object

## Constructor Summary

Constructors
Constructor
Description
`ServerObjs(ZooKeeperServer zks, ServerCnxn cnxn)`

## Method Summary

Modifier and Type
Method
Description
`ServerCnxn`
`getCnxn()`
`ZooKeeperServer`
`getZks()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServerObjs

public ServerObjs(ZooKeeperServer zks, ServerCnxn cnxn)

Parameters:
  `zks` - the ZooKeeper server instance
  `cnxn` - the cnxn that received the authentication information.

## Method Details

### getZks

public ZooKeeperServer getZks()

### getCnxn

public ServerCnxn getCnxn()